package com.ruoyi.zhdd.domain;

import lombok.Data;

import java.util.List;

@Data
public class GatewayDeptPage {
    private Integer code;
    private String message;
    private DeptPage data;

    @Data
    public static class DeptDetail {
        private String id;
        private String name;
        private String fullName;
        private String parentId;
        private String parentName;
        // 组织部门标志(0:组织，1:部门）
        private Integer flag;
        private String createTime;
        private String createUser;
        private String updateTime;
        private String updateUser;
        private String delFlag;
        // 同级别内展示顺序
        private Integer ordinal;
    }

    @Data
    public static class DeptPage {
        private List<GatewayDeptPage.DeptDetail> rows;
        private int total;
    }

}
