package com.ruoyi.zhdd.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2022/1/13
 * @Version V1.0
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("sms_outbox")
public class SmsOutbox implements Serializable {
    @TableId(value = "sismsid", type = IdType.ASSIGN_ID)
    private String sismsid;
    private String extcode;
    private String destaddr;
    private String messagecontent;
    private Integer reqdeliveryreport = 1;
    private Integer msgfmt = 8;
    private Integer sendmethod = 2;
    private Date requesttime;
    private String applicationid = "APP544";

}
