package com.ruoyi.zhdd.domain.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2021/11/27
 * @Version V1.0
 */
@Data
public class IncidentTasksBo {

    private String id;
    private String incidentId;
    private String taskName;
    @ApiModelProperty("消息类型.1-应急处置消息、2-应急处置待办、3-资源管理待办")
    private String sendFlag = "1";
    @ApiModelProperty("消息发送的人")
    private List<MessagePushUser> messagePushUsers;
    // 是否发送。0-未发送，1-已发送
    private String taskSend;
    private String backLogFlag;
    private String saveAndSend;
    // 危化品
    private String chemicals;
    // 方案来源（1：历史事件）
    private String channel;
}
