package com.ruoyi.zhdd.domain.bo;

import cn.hutool.core.date.DateUtil;
import lombok.Data;

import java.util.List;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2022/1/12
 * @Version V1.0
 */
@Data
public class MessagePushBo {
    private String appId = "fa6f711286474bff8b1aae7d89775f03";
    private String uuId;
    // 签名（值为MD5(AppId+ SendTime +Content）
    private String verify;
    // 标题（必填）
    private String title;
    // 简介（必填）
    private String msSynopsis;
    // 没有格式的消息内容
    private String msText;
    // 有格式的消息内容，是一个JSON字符串
    private String content;
    private String senderId = "1";
    // 消息类型1：综合执法，2：应急指挥，3：运行监测
    private String msType = "2";
    // 是否定制化推送，0：否，1：是
    private String msCustom = "1";
    // 时间。格式yyyy-MM-dd
    private String sendTime = DateUtil.now();
    // 发送的用户
    private List<MessagePushUser> messageReadInfoList;
    private String url;
    private String[] sendType = {"1", "2"};
}
