package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 危化品信息视图对象 b_chemical_data
 *
 * @author xintong
 * @date 2022-01-14
 */
@Data
@ApiModel("危化品信息视图对象")
public class ChemicalDataVo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty("id")
    private String id;

    /**
     * 中文名称
     */
    @Excel(name = "中文名称")
    @ApiModelProperty("中文名称")
    private String name;

    /**
     * 内容
     */
    @Excel(name = "内容")
    @ApiModelProperty("内容")
    private String content;


}
