package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * 值班报告信息视图对象 b_duty_report
 *
 * @author xintong
 * @date 2021-10-11
 */
@Data
@ApiModel("值班报告信息视图对象")
public class DutyReportVo {

    private static final long serialVersionUID = 1L;

    /**
     * $pkColumn.columnComment
     */
    @ApiModelProperty("$pkColumn.columnComment")
    private String id;

    /**
     * 报告内容
     */
    @Excel(name = "报告内容")
    @ApiModelProperty("报告内容")
    private String reportContent;

    /**
     * 报告状态
     */
    @Excel(name = "报告状态")
    @ApiModelProperty("报告状态")
    private Integer status;

    @Excel(name = "报告人")
    private String createBy;

    @Excel(name = "更新时间")
    private Date updateTime;

    private Date createTime;

    // 值班人名
    private String createByName;
    // 接班人员
    private String receiveUser;
    // 交班时间
    private Date passDateTime;
    private Date deadline;

}
