package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * 事件处置流程视图对象 b_incident_process
 *
 * @author xitong
 * @date 2021-09-28
 */
@Data
@ApiModel("事件处置流程视图对象")
public class IncidentProcessVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    private String id;

    /**
     * 所属事件id
     */
    @Excel(name = "所属事件id")
    @ApiModelProperty("所属事件id")
    private String incidentId;

    /**
     * 处置过程
     */
    @Excel(name = "处置过程")
    @ApiModelProperty("处置过程")
    private String des;

    @Excel(name = "事件状态 1：预警，2：事件 3：归档")
    @ApiModelProperty("事件状态 1：预警，2：事件 3：归档")
    private Integer status;

    private Integer incidentStatus;

    private String taskId;

    private String pic;
    private String video;

    @Excel(name = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;

    @Excel(name = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;

}
