package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 应急资源明细视图对象 b_resource_detail
 *
 * @author xintong
 * @date 2021-10-27
 */
@Data
@ApiModel("应急车辆资源明细视图对象")
public class ResourceCarDetailVo {

    /**
     * 资源id
     */
    @ApiModelProperty("资源id")
    private String resourceId;

    @Excel(name = "车牌号(船名号)", width = 20)
    private String name;

    @Excel(name = "类型", width = 20)
    private String carType;

    @Excel(name = "车船类型", width = 20)
    private String carDetailType;

    @Excel(name = "限载量", width = 20)
    private String carLimit;


}
