package com.ruoyi.zhdd.feign.fallback;

import cn.hutool.json.JSONObject;
import com.ruoyi.zhdd.feign.FeignDocumentService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2022/1/12
 * @Version V1.0
 */
@Slf4j
@Component
public class FeignDocumentFallback implements FeignDocumentService {

    @Override
    public JSONObject fileUpload(@RequestPart(value = "file") MultipartFile file, @RequestParam(value = "bucketName") String bucketName) {
        log.error("文件上传失败");
        return null;
    }
}
