package com.ruoyi.zhdd.mapper;

import com.ruoyi.zhdd.domain.Plan;
import com.ruoyi.common.core.mybatisplus.core.BaseMapperPlus;
import com.ruoyi.common.core.mybatisplus.cache.MybatisPlusRedisCache;
import com.ruoyi.zhdd.domain.PlanTask;
import org.apache.ibatis.annotations.CacheNamespace;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 预案管理Mapper接口
 *
 * @author xitong
 * @date 2021-09-28
 */
public interface PlanMapper extends BaseMapperPlus<Plan> {

    List<PlanTask> queryTask(@Param("dept") String dept, @Param("type") Integer type, @Param("level") Integer level);
}
