package com.ruoyi.zhdd.mapper;

import cn.hutool.json.JSONObject;
import com.ruoyi.common.core.mybatisplus.core.BaseMapperPlus;
import com.ruoyi.zhdd.domain.Resource;
import com.ruoyi.zhdd.domain.ResourceDetail;
import com.ruoyi.zhdd.domain.bo.ResourceDetailBo;
import com.ruoyi.zhdd.domain.vo.ResourceDetailStatic;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 应急资源明细Mapper接口
 *
 * @author xintong
 * @date 2021-10-27
 */
public interface ResourceDetailMapper extends BaseMapperPlus<ResourceDetail> {

    List<Resource> searchWarehouseByGoods(ResourceDetailBo bo);

    List<JSONObject> queryResourceAvailable(List<String> resourceId);

    List<Object> queryExistResourceId(@Param("resouceType") Integer resouceType);

    List<ResourceDetailStatic> queryResourceTotalNum();
}
