package com.ruoyi.zhdd.domain;

import lombok.Data;

import java.util.List;

@Data
public class GatewayUserDetail {
    private Integer code;
    private String message;
    private UserDetail data;

    @Data
    public static class UserDetail {
        private String userId;
        private String name;
        private String sex;
        private String userName;
        //        private String deptId;
//        private String orgId;
        private String status;
        private String idNumber;
        private String mobile;
        // (1:局领导，2:执法人员，3:从业人员，4:企业，5:公众，9:非执法人员)
        private int userGroupId;
        private EntInfo entInfo;
        private String delFlag;
        private List<Posts> posts;
    }

    @Data
    public static class EntInfo {
        private String entName;
        private String ownerId;
        // 企业分类
        private String ownerCategory;
        // 所属行业管理单位
        private String adminOrgName;
    }

    @Data
    public static class Posts {
        private String deptId;
        private String deptName;
        private String orgId;
        private String orgName;
    }

}
