package com.ruoyi.zhdd.domain;

import lombok.Data;

import java.util.List;

@Data
public class GatewayUserPage {
    private Integer code;
    private String message;
    private UserPage data;

    @Data
    public static class UserDetail {
        private String userId;
        private String name;
        private String userName;
        private String mobile;
        private String orgName;
        // 本数据库标识。0：不存在，1：存在
        private String localFlag;
        private String delFlag;
    }

    @Data
    public static class UserPage {
        private List<UserDetail> rows;
        private int total;
    }
}
