package com.ruoyi.zhdd.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 事件相关人员对象 b_incident_user
 *
 * @author xintong
 * @date 2022-03-21
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("b_incident_user")
public class IncidentUser implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * $column.columnComment
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * $column.columnComment
     */
    private String incidentId;

    /**
     * $column.columnComment
     */
    private String userId;

    // 1:接报人员。2-主办处置人员。3-方案反馈人员。4-协办处置人员。5-总指挥。6-派发通知人员。7-方案通知人员
    private String source;

}
