package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 值班排班信息视图对象 b_duty_emp
 *
 * @author xintong
 * @date 2021-10-11
 */
@Data
@ApiModel("值班排班信息视图对象")
public class DutyEmpVo {

    private static final long serialVersionUID = 1L;

    /**
     * $pkColumn.columnComment
     */
    @ApiModelProperty("$pkColumn.columnComment")
    private String id;

    /**
     * 日期
     */
    @Excel(name = "日期")
    @ApiModelProperty("日期")
    private Integer period;

    /**
     * 值班人
     */
    @Excel(name = "值班人")
    @ApiModelProperty("值班人")
    private String empName;

    /**
     * 时间段
     */
    private String periodTime;

    /**
     * 值班人员的json格式
     */
    private String empJson;


}
