package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * 预案任务管理视图对象 b_plan_task
 *
 * @author xitong
 * @date 2021-09-28
 */
@Data
@ApiModel("预案文件管理视图对象")
public class PlanFileVo {

    private static final long serialVersionUID = 1L;

    /**
     * 任务id
     */
    @ApiModelProperty("任务id")
    private String id;

    /**
     * 所属预案id
     */
    @Excel(name = "所属预案id")
    @ApiModelProperty("所属预案id")
    private String planId;

    /**
     * 任务名称
     */
    @Excel(name = "文件名称")
    @ApiModelProperty("文件名称")
    private String fileName;

    /**
     * 任务描述
     */
    @Excel(name = "文件地址")
    @ApiModelProperty("文件地址")
    private String fileUrl;

    @Excel(name = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;

    @Excel(name = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;
}
