package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 应急资源明细视图对象 b_resource_detail
 *
 * @author xintong
 * @date 2021-10-27
 */
@Data
@ApiModel("应急队伍明细视图对象")
public class ResourceTeamDetailVo {

    /**
     * 资源id
     */
    @ApiModelProperty("资源id")
    private String resourceId;

    @Excel(name = "姓名", width = 20)
    private String name;

    @Excel(name = "身份证", width = 20)
    private String idcard;

    @Excel(name = "性别", width = 20)
    private String sex;

    @Excel(name = "年龄", width = 20)
    private String age;

    @Excel(name = "出生年月", width = 20)
    private String birth;

    @Excel(name = "职位", width = 20)
    private String position;

    @Excel(name = "政治面貌", width = 20)
    private String political;

    @Excel(name = "联系电话", width = 20)
    private String contactPhone;

}
