package com.ruoyi.zhdd.feign.fallback;

import cn.hutool.json.JSONObject;
import com.ruoyi.zhdd.domain.bo.MessagePushBo;
import com.ruoyi.zhdd.feign.FeignNoticeInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2022/1/12
 * @Version V1.0
 */
@Slf4j
@Component
public class FeignNoticeInfoFallback implements FeignNoticeInfoService {

    @Override
    public JSONObject messagePush(MessagePushBo messagePushBo) {
        log.error("APP发送消息失败");
        return null;
    }

    @Override
    public JSONObject messagePushInfoList(String msSource, String msType, String msNo) {
        log.error("获取消息列表失败");
        return null;
    }
}
