package com.ruoyi.zhdd.service;

import cn.hutool.json.JSONArray;

import java.util.Map;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2022/1/19
 * @Version V1.0
 */
public interface IDhService {

    /**
     * 获取大华鉴权token
     *
     * @return
     */
//    String getToken();

    Map<String, String> authorize(String userName, String password, String clientType, String cacheKey);

    void tokenKeepalive(String token, int duration, String tokenKey);

    Object getDeviceTree();

    JSONArray querySingleStat();

    /**
     * 提供给前端大华视频的token接口
     *
     * @param account
     * @return
     */
//    Map<String, Object> getVideoToken(String account, String key);

    void offlineVideoToken(String key);

    /**
     * 用于大华测试的token
     *
     * @return
     */
//    Map<String, String> getTestToken();
}
